Loading...
Searching...
No Matches
MewsRestDataProvider::MewsRestDataProviderBase Class Reference

The MewsRest data provider base class. More...

`#include <MewsRestDataProviderBase.qc.dox.h>`

Inheritance diagram for MewsRestDataProvider::MewsRestDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (MewsRestClient::MewsRestClient rest, *SwaggerDataProvider::SwaggerDataProvider sdp)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | MaxRecords = 1000
| Max records that the Mews API will return in one request.

## Detailed Description

The MewsRest data provider base class.